/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.iit.genomics.cru.isomirage;

/**
 * @(#)Isoform.java
 * 11 Sept 2014
 * Copyright 2014 Computational Research Unit of IIT@SEMM. All rights reserved.
 * Use is subject to MIT license terms.
 * 
 * Class encodes an Isoform
 * 
 * @author Heiko Muller
 * @version 1.0
 * @since 1.0
 */
public class Isoform {
    
    /**
     * Isoform name
     */
    String name;
    
    /**
     * Isoform sequence
     */
    String sequence;
    
    /**
     * number of occurrences of the Isoform
     */
    int count;
    
    /**
     * Constructor
     * @param n name
     * @param seq sequence
     * @param in occurrence count
     */
    public Isoform(String n, String seq, int in){
        name = n;
        sequence = seq;
        count = in;
    }
    
    /**
     * increments isoform occurrence count by one
     */
    public void add(){
        count++;
    }
    
    /**
     * Getter for isoform occurrence count
     * @return int
     */
    public int getCount(){
        return count;
    }

    /**
     * Getter for Isoform name
     * @return 
     */
    public String getName() {
        return name;
    }

    /**
     * Getter for Isoform sequence
     * @return 
     */
    public String getSequence() {
        return sequence;
    }
    
    
    
}
