/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.iit.genomics.cru.isomirage;

/**
 *
 * @author hmuller
 */
public class IsoformNameParser {
    
    String fullname = ""; //hsa-miR-99b-5p_GGT_3prime_CACCCGTAGAACCGACCTTGCGGGT_nt
    String mirnaname = "";
    String extension = "";
    String group = "";
    String templated = "";
    String sequence = "";
    
    public IsoformNameParser(String fullname){
        this.fullname = fullname;
        parseName();
    }
    
    private void parseName() throws RuntimeException{
        String[] list = fullname.split("_");
        if(list.length == 5){
            mirnaname = list[0];
            extension = list[1];
            group = list[2];
            sequence = list[3];
            templated = list[4]; 
        }else if(list.length == 4){
            if(fullname.indexOf("_miRNA_") > -1){
                mirnaname = list[0];
                extension = "";
                group = "miRNA";
                sequence = list[2];
                templated = list[3]; 
            }else if(fullname.indexOf("_trim") > -1){
                mirnaname = list[0];
                extension = "";
                group = "trim";
                sequence = list[2];
                templated = list[3]; 
            }
        }else if(list.length == 3){
            mirnaname = list[0];
            extension = "";
            group = "unknown";
            sequence = list[1];
            templated = list[2]; 
            
            
        }else{
            System.out.println("name parsing error " + list.length + " " + fullname);
            throw new RuntimeException();
        }  
    }

    public String getFullname() {
        return fullname;
    }

    public String getMirnaname() {
        return mirnaname;
    }

    public String getExtension() {
        return extension;
    }

    public String getGroup() {
        return group;
    }

    public String getTemplated() {
        return templated;
    }

    public String getSequence() {
        return sequence;
    }
    
    
    
}
